net.corda.flows

## Class FetchDataFlow.DownloadedVsRequestedDataMismatch

- Enclosing class:
    FetchDataFlow<T extends NamedByHash,W>

      public static class FetchDataFlow.DownloadedVsRequestedDataMismatch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DownloadedVsRequestedDataMismatch(SecureHash requested, SecureHash got)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SecureHash` | `getGot()`
    `SecureHash` | `getRequested()`

- - ### Constructor Detail

    - #### DownloadedVsRequestedDataMismatch

          public DownloadedVsRequestedDataMismatch(SecureHash requested,
                                                   SecureHash got)

  - ### Method Detail

    - #### getRequested

          public SecureHash getRequested()

    - #### getGot

          public SecureHash getGot()